Bug 183723 - Include contrib scripts for administration
Include contrib scripts for administration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-02 21:57 EST by Kenneth Porter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 11:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2006-03-02 21:57:07 EST
sendmail includes a contrib directory with a number of useful scripts for
administering the server. It's desirable to make these available in a binary
RPM. I'd suggest a -contrib subpackage, or a directory under %{_docdir}.

Of particular use are qtool.pl (and its man page) for manipulating files in the
mail queues (there's no other utility provided to clear entries from the queue),
and etrn.pl for requesting immediate transfer of queued mail from a secondary
server after a primary comes back from an outage.

For reference, here's a listing of the contrib directory:

-rw-r--r-- 1037/0          458 1999-09-23 22:46:47 sendmail-8.13.5/contrib/README
-rw-r--r-- 1037/0         8880 2000-07-17 22:43:11
sendmail-8.13.5/contrib/bitdomain.c
-rwxr-xr-x 1037/0         7870 1999-02-22 17:40:21
sendmail-8.13.5/contrib/bounce-resender.pl
-rw-r--r-- 1037/0         8923 1999-02-06 10:44:08 sendmail-8.13.5/contrib/bsdi.mc
-rwxr-xr-x 1037/0         6025 2003-03-15 15:30:09
sendmail-8.13.5/contrib/buildvirtuser
-rwxr-xr-x 1037/0         1978 2002-11-22 13:13:14
sendmail-8.13.5/contrib/cidrexpand
-rw-r--r-- 1037/0         4070 2005-07-25 16:32:05
sendmail-8.13.5/contrib/dnsblaccess.m4
-rw-r--r-- 1037/0         4350 2003-06-01 18:46:02
sendmail-8.13.5/contrib/domainmap.m4
-rwxr-xr-x 1037/0         6295 2003-04-15 09:59:50
sendmail-8.13.5/contrib/doublebounce.pl
-rw-r--r-- 1037/0         1829 2002-08-16 11:30:09 sendmail-8.13.5/contrib/etrn.0
-rwxr-xr-x 1037/0         4453 2002-08-16 11:30:09 sendmail-8.13.5/contrib/etrn.pl
-rwxr-xr-x 1037/0        36889 2003-04-15 09:59:50 sendmail-8.13.5/contrib/expn.pl
-rwxr-xr-x 1037/0          554 2000-04-24 17:12:28
sendmail-8.13.5/contrib/link_hash.sh
-rw-r--r-- 1037/0        11782 1999-02-06 19:52:59
sendmail-8.13.5/contrib/mail.local.linux
-rw-r--r-- 1037/0        19478 1999-02-06 10:44:10 sendmail-8.13.5/contrib/mailprio
-rw-r--r-- 1037/0         4968 1999-02-06 10:44:11 sendmail-8.13.5/contrib/mh.patch
-rw-r--r-- 1037/0        68819 1999-02-06 19:52:59 sendmail-8.13.5/contrib/mmuegel
-rw-r--r-- 1037/0          745 2000-07-13 22:19:51
sendmail-8.13.5/contrib/movemail.conf
-rwxr-xr-x 1037/0         2454 2000-07-13 22:19:51
sendmail-8.13.5/contrib/movemail.pl
-rwxr-xr-x 1037/0          867 2000-07-14 00:08:21
sendmail-8.13.5/contrib/passwd-to-alias.pl
-rw-r--r-- 1037/0         5922 2004-06-28 10:49:41 sendmail-8.13.5/contrib/qtool.8
-rwxr-xr-x 1037/0        23443 2002-06-27 16:06:16 sendmail-8.13.5/contrib/qtool.pl
-rwxr-xr-x 1037/0         9370 2000-07-13 22:23:29
sendmail-8.13.5/contrib/re-mqueue.pl
-rw-r--r-- 1037/0         3257 1999-02-06 10:44:13
sendmail-8.13.5/contrib/rmail.oldsys.patch
-rwxr-xr-x 1037/0         7531 2002-05-15 17:07:29
sendmail-8.13.5/contrib/smcontrol.pl
-rwxr-xr-x 1037/0         1513 2003-05-21 08:36:33
sendmail-8.13.5/contrib/socketmapClient.pl
-rwxr-xr-x 1037/0         2230 2003-05-21 08:36:33
sendmail-8.13.5/contrib/socketmapServer.pl
Comment 1 Thomas Woerner 2007-08-29 11:59:24 EDT
Fixed in rawhide in package sendmail-8.14.1-4 or newer.

The contrib scripts are now provided by the doc package.

Note You need to log in before you can comment on or make changes to this bug.